[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Openldap crashes on GSSAPI authentication

--On Friday, February 21, 2003 10:09 AM -0500 Stephen Frost <sfrost@snowman.net> wrote:

* Kurt D. Zeilenga (Kurt@OpenLDAP.org) wrote:
And to the original poster:  MIT krb5 libraries are not thread
safe... suggest you use Hiemdal instead.

Havn't had any problems here so far, though I havn't hit the ldap server very hard.


I have, and I guarantee you that the MIT libraries are not thread safe. Heimdal-0.5.1 is not thread safe, either. You need to get a version of Heimdal later than 0.5.1 (via CVS), and compile that. There is also one small patch you need to apply to the CVS code, unless you are compiling on AIX:

Comment out the #undef HAVE_RES_NSEARCH line in heimdal/lib/roken/resolve.c, around line 47.


Quanah Gibson-Mount
Senior Systems Administrator
ITSS/TSS/Computing Systems
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html